Subject: Re: [patch] fix up generic csum_ipv6_magic function prototype

From: Al Viro <[email-masked]>
Date: Thu, 9 Nov 2006 07:22:16 +0000

On Wed, Nov 08, 2006 at 11:00:59PM -0800, David Miller wrote:
> From: "Chen, Kenneth W" <[email-masked]>
> Date: Wed, 8 Nov 2006 18:02:06 -0800
> 
> > The generic version of csum_ipv6_magic has the len argument declared as
> > __u16, while most arch dependent version declare it as __u32.  After
> > looking at the call site of this function, I come up to a conclusion
> > that __u32 is a better match with the actual usage.
> > 
> > Hence, patch to change argument type for greater consistency.
> > 
> > Signed-off-by: Ken Chen <[email-masked]>
> 
> Architecture implementations such as the ones for m32r and parisc have
> the same problem, so "for consistency" please fix them up as well.
> 
> Thanks a lot.

Please, hold.  One of the patches in my queue gets sanitized prototypes
for all that stuff and it'll conflict like crazy.

I haven't touch that argument yet; if there's an agreement as to what should
we switch to, I'll do that.  So... does everyone agree that u32 is the way
to go?